Analytics

Get trading deals for an account

Returns a paginated list of deals (closed trades) for the specified trading account. Supports filtering by date range and trade side, sorting, and pagination.

GET
/api/v2/my/accounts/{accountId}/analytics/deals

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

accountId*integer

Trading account ID

Query Parameters

limit?integer

Maximum number of items to return

Range1 <= value <= 200
Default25
offset?integer

Number of items to skip

Range0 <= value
Default0
filters[from]?string

Start date-time filter (RFC 3339). If omitted, no lower bound is applied.

Formatdate-time
filters[to]?string

End date-time filter (RFC 3339). Must be greater than or equal to filters[from] if both are provided. If omitted, no upper bound is applied.

Formatdate-time
sortBy?string
Default"closeTime"

Value in

  • "openTime"
  • "closeTime"
  • "symbol"
sortDirection?string
Default"desc"

Value in

  • "asc"
  • "desc"
filters[side]?string

Value in

  • "BUY"
  • "SELL"

Header Parameters

accept-language?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/accounts/0/analytics/deals?filters%5Bfrom%5D=2026-01-01T00%3A00%3A00%2B00%3A00&filters%5Bto%5D=2026-03-01T23%3A59%3A59%2B00%3A00" \  -H "accept-language: ja"
{  "data": {    "total": 0,    "filtered": 0,    "items": [      {        "accountId": "12345",        "ticketId": 11223,        "symbol": "USDJPY",        "side": "SELL",        "volume": "1.00",        "openTime": "2026-03-01T10:00:00+00:00",        "openPrice": "149.50000",        "closeTime": "2026-03-01T15:30:00+00:00",        "closePrice": "148.90000",        "stopLoss": "150.00000",        "takeProfit": "148.00000",        "commission": "-5.00",        "swap": "0.00",        "profit": "100.00"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Not Found"  }}
{  "error": {    "message": "Unprocessable Entity"  }}
{  "error": {    "message": "Service Unavailable"  }}